Debian Bug report logs - #625904
interchange: use Digest::SHA instead of Digest::SHA1 to allow drop of libdigest-sha1-perl

version graph

Package: src:interchange; Maintainer for src:interchange is Stefan Hornburg (Racke) <racke@linuxia.de>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 6 May 2011 20:03:02 UTC

Severity: important

Tags: patch

Found in version interchange/5.7.6-2

Fixed in version interchange/5.7.7-1

Done: Stefan Hornburg (Racke) <racke@linuxia.de>

Bug is archived. No further changes may be made.

Forwarded to interchange-users@icdevgroup.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>:
Bug#625904; Package src:interchange. (Fri, 06 May 2011 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>. (Fri, 06 May 2011 20:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: interchange: use Digest::SHA instead of Digest::SHA1 to allow drop of libdigest-sha1-perl
Date: Fri, 06 May 2011 21:58:56 +0200
Source: interchange
Version: 5.7.6-2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Both

code/Filter/sha1.filter

and

lib/Vend/UserDB.pm

use Digest::SHA1 whereas other part already use Digest::SHA. Would it
be possible to patch these to use too Digest::SHA? This will alow to
drop libdigest-sha1-perl towards of the removal of the package.

Thanks in advance

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>:
Bug#625904; Package src:interchange. (Mon, 09 May 2011 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Hornburg (Racke)" <racke@linuxia.de>:
Extra info received and forwarded to list. Copy sent to Stefan Hornburg (Racke) <racke@linuxia.de>. (Mon, 09 May 2011 07:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 625904@bugs.debian.org (full text, mbox):

From: "Stefan Hornburg (Racke)" <racke@linuxia.de>
To: Salvatore Bonaccorso <carnil@debian.org>, 625904@bugs.debian.org
Subject: Re: Bug#625904: interchange: use Digest::SHA instead of Digest::SHA1 to allow drop of libdigest-sha1-perl
Date: Mon, 09 May 2011 08:49:53 +0200
[Message part 1 (text/plain, inline)]
On 05/06/2011 09:58 PM, Salvatore Bonaccorso wrote:
> Source: interchange
> Version: 5.7.6-2
> Severity: normal
> User: debian-perl@lists.debian.org
> Usertags: digest-sha-perl-transition
>
> Hi
>
> We from the Debian Perl Group would like to drop libdigest-sha1-perl
> at some point, see [1]. Most of the functionality (except
> sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
> Switching from Digest::SHA1 to Digest::SHA should be in principle as
> easy as substituting the use of Digest::SHA1 with Digest::SHA.
>
> Digest::SHA is in Perl core since version 5.9.3 and thus is in
> Debian's perl since Lenny.
>
> Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
> dependencies by one.
>
>   [1] http://deb.li/digestsha
>
> Both
>
> code/Filter/sha1.filter
>
> and
>
> lib/Vend/UserDB.pm
>
> use Digest::SHA1 whereas other part already use Digest::SHA. Would it
> be possible to patch these to use too Digest::SHA? This will alow to
> drop libdigest-sha1-perl towards of the removal of the package.
>

A patch is attached, it just needs to be tested.

Regards
         Racke



-- 
LinuXia Systems => http://www.linuxia.de/
Expert Interchange Consulting and System Administration
ICDEVGROUP => http://www.icdevgroup.org/
Interchange Development Team

[ic-sha1.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from "Stefan Hornburg (Racke)" <racke@linuxia.de> to control@bugs.debian.org. (Mon, 09 May 2011 08:00:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'interchange-users@icdevgroup.org'. Request was from "Stefan Hornburg (Racke)" <racke@linuxia.de> to control@bugs.debian.org. (Mon, 09 May 2011 08:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>:
Bug#625904; Package src:interchange. (Tue, 16 Aug 2011 18:54:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefan Hornburg (Racke) <racke@linuxia.de>. (Tue, 16 Aug 2011 18:54:14 GMT) Full text and rfc822 format available.

Message #19 received at 625904@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:32 GMT) Full text and rfc822 format available.

Added indication that bug 625904 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:15:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stefan Hornburg (Racke) <racke@linuxia.de>:
Bug#625904; Package src:interchange. (Thu, 18 Aug 2011 21:33:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Stefan Hornburg (Racke) <racke@linuxia.de>. (Thu, 18 Aug 2011 21:33:33 GMT) Full text and rfc822 format available.

Message #28 received at 625904@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Added tag(s) pending. Request was from "Stefan Hornburg (Racke)" <racke@linuxia.de> to control@bugs.debian.org. (Mon, 22 Aug 2011 10:21:05 GMT) Full text and rfc822 format available.

Reply sent to Stefan Hornburg (Racke) <racke@linuxia.de>:
You have taken responsibility. (Mon, 22 Aug 2011 13:36:09 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Mon, 22 Aug 2011 13:36:09 GMT) Full text and rfc822 format available.

Message #35 received at 625904-close@bugs.debian.org (full text, mbox):

From: Stefan Hornburg (Racke) <racke@linuxia.de>
To: 625904-close@bugs.debian.org
Subject: Bug#625904: fixed in interchange 5.7.7-1
Date: Mon, 22 Aug 2011 13:32:33 +0000
Source: interchange
Source-Version: 5.7.7-1

We believe that the bug you reported is fixed in the latest version of
interchange, which is due to be installed in the Debian FTP archive:

interchange-cat-standard_5.7.7-1_all.deb
  to main/i/interchange/interchange-cat-standard_5.7.7-1_all.deb
interchange-ui_5.7.7-1_all.deb
  to main/i/interchange/interchange-ui_5.7.7-1_all.deb
interchange_5.7.7-1.diff.gz
  to main/i/interchange/interchange_5.7.7-1.diff.gz
interchange_5.7.7-1.dsc
  to main/i/interchange/interchange_5.7.7-1.dsc
interchange_5.7.7-1_amd64.deb
  to main/i/interchange/interchange_5.7.7-1_amd64.deb
interchange_5.7.7.orig.tar.gz
  to main/i/interchange/interchange_5.7.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625904@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Hornburg (Racke) <racke@linuxia.de> (supplier of updated interchange package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Aug 2011 11:57:41 +0200
Source: interchange
Binary: interchange-cat-standard interchange-ui interchange
Architecture: source all amd64
Version: 5.7.7-1
Distribution: unstable
Urgency: low
Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
Changed-By: Stefan Hornburg (Racke) <racke@linuxia.de>
Description: 
 interchange - e-commerce and general HTTP database display system
 interchange-cat-standard - Standard store, a sample Interchange catalog
 interchange-ui - Interchange administration interface (UI)
Closes: 625904
Changes: 
 interchange (5.7.7-1) unstable; urgency=low
 .
   * New upstream release.
   * Add patch to use Digest::SHA instead of Digest::SHA1 (Closes: #625904,
     thanks to Salvatore Bonaccorso <carnil@debian.org> for the report)
Checksums-Sha1: 
 c521800c4c1132343121a292df02d5e31b882b48 1211 interchange_5.7.7-1.dsc
 d8c03f384a4a8785dc86a7c1ff07a41a7988ce8a 2517104 interchange_5.7.7.orig.tar.gz
 9ede51509e076373e8650bca8413bacb84a60b10 1273 interchange_5.7.7-1.diff.gz
 08a89e6210303d20d3d4bf854114f5f99ecae2b9 911444 interchange-cat-standard_5.7.7-1_all.deb
 ff02f55279fcb57b5efa6728c56894692eecb8db 588230 interchange-ui_5.7.7-1_all.deb
 418c59ece9c4e89c979f2e2a7239cfcfdd54a401 1195056 interchange_5.7.7-1_amd64.deb
Checksums-Sha256: 
 77afcc9e9e1188dbe70f53bd5c091c7658217d8224b852919169d00f0f62f177 1211 interchange_5.7.7-1.dsc
 50dba5ba3835343d2b997008bddea7ccc6ec9477afe60498f39363da9b04b746 2517104 interchange_5.7.7.orig.tar.gz
 83590c1a334222fdd29cee719dd4e9f135a5f14842b68ef8a7849e369b8bc7aa 1273 interchange_5.7.7-1.diff.gz
 78eb23e14e85cd6be9978305d3d6c2e093cf049acd9c4159ea4c76ad070b11bd 911444 interchange-cat-standard_5.7.7-1_all.deb
 0338f2eb7cb05b0b4289a721fc4cb5d0e57e5570177bb7ae11ee29f83f041d15 588230 interchange-ui_5.7.7-1_all.deb
 440abaf2dfb4ee5466318b8261a3ff0ac33df506eb73bba90cb9a3d9ca08a00c 1195056 interchange_5.7.7-1_amd64.deb
Files: 
 fc6471512fad6521d5c15c70b01b3319 1211 web optional interchange_5.7.7-1.dsc
 15afc3fdb37c2595e19c4bfd54039df5 2517104 web optional interchange_5.7.7.orig.tar.gz
 35b1edb706807df624445c1d0b65bd3a 1273 web optional interchange_5.7.7-1.diff.gz
 c85e47a1393a9faa1ca7682e1af8bb0b 911444 web optional interchange-cat-standard_5.7.7-1_all.deb
 0feb70728ba28f7bbcd47860b64f69a3 588230 web optional interchange-ui_5.7.7-1_all.deb
 6e88891419e18bfbc23d40708aab3c83 1195056 web optional interchange_5.7.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk5SWL4ACgkQjgVfE5tya3FvhwCgm9VNGFyR148qr40lr7ggupz7
jvQAn1u4cHSFVK3hKcLx7ZJgZ6Lda9Jz
=raYx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Sep 2011 07:33:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:52:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.